Cutting Software Mac OSX

Graphtec Studio – Macintosh






Back to main software page button

Graphtec Studio for Macintosh

Version 2.2.1216

Version Date December 7, 2016
Supported Cutting Plotters* FCX2000 / FC8600 / FC8000 / FC4500 / FC2250 / CE6000 / CE5000
Supported Mac OSX Mac OSX 10.6 to 10.11 and 10.12 (Sierra)
System Requirements Processor Processor with 1 GHz or faster, 2 GHz is preferable
RAM 1 GB, 2 GB preferred
Minimum Required Disk Space 100 MB
DOWNLOAD FILES Software Graphtec Studio V2.2.1216 183.2 MB
Install Instructions PDF How to Install Graphtec Studio
Release Notes None Available

*Required Firmware Versions

  • FCX2000 series: version 1.20 or later
  • CE6000 series: version 1.20 or later
  • FC8000 series: version 3.01 or later
  • CE5000 series: version 3.80 to version 4.90
  • CE5000 series: version 6.10 or later
  • FC4500 series: version 1.92 or later
  • FC2250 series: version 3.90 or later
  • FC8600 series: version 1.11 or later
  •